/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_23.h"
M operator <(M x, M y);
M operator >(M x, M y);
M operator <=(M x, M y);
M operator >=(M x, M y);
M operator ==(M x, M y);
M operator !=(M x, M y);
M operator ||(M x, M y);
M operator &&(M x, M y);
M operator +(M x, M y);
M operator -(M x, M y);
M dot_add(M x, M y);
M dot_sub(M x, M y);
M dot_mul(M x,M y);
M dot_div(M x,M y);
M dot_invdiv(M x,M y);
M dot_pow(M x,M y);
M atan2(M x,M y);
M rem(M x,M y);
M min(M x,M y);
M min0(M x,M y);
M max(M x,M y);
M pow2(M f, M l_1);
M xorM(M x, M y);
void operator +=(M& x, M y);
void operator -=(M& x, M y);
void operator *=(M& x, M y);
void operator /=(M& x, M y);
void operator ++(M x);
void operator --(M x);
